#import "HiddenManagementView.h"
#import "GameView.h"
#import "SetupView.h"
#import "HighScoreView.h"


@implementation HiddenManagementView

- (void) awakeFromNib
{
	[self addSubview: setup_view] ;
}


- (void) show_game_view
{
  /* Remove all the subviews. */
  NSArray *subviews = [self subviews] ;
  for (int i = 0; i < [subviews count]; i++)
    [[subviews objectAtIndex:i] removeFromSuperview] ;
  /* Add the game view. */
	[self addSubview: game_view] ;
}


- (void) show_setup_view
{
  /* Remove all the subviews. */
  NSArray *subviews = [self subviews] ;
  for (int i = 0; i < [subviews count]; i++)
    [[subviews objectAtIndex:i] removeFromSuperview] ;
	[self addSubview: setup_view] ;
}


- (void) show_highscore_view
{
  /* Remove all the subviews. */
  NSArray *subviews = [self subviews] ;
  for (int i = 0; i < [subviews count]; i++)
    [[subviews objectAtIndex:i] removeFromSuperview] ;
	[self addSubview: highscore_view] ;
}

@end
