#import "HighScoreView.h"
#import "HiddenManagementView.h"
#include "basic_type_defs.h"
#include "game.h"
#include "persistent.h"

@implementation HighScoreView

@synthesize score0_label ;
@synthesize score1_label ;
@synthesize score2_label ;
@synthesize score3_label ;
@synthesize score4_label ;
@synthesize score5_label ;
@synthesize score6_label ;
@synthesize score7_label ;
@synthesize score8_label ;
@synthesize score9_label ;
@synthesize ok_button ;


- (IBAction) ok_button_pressed_callback : (id) sender
{
  [hidden_management_view show_setup_view] ;
}


- (IBAction) reset_highscores_button_pressed_callback : (id) sender
{
  UIAlertView *alert =
    [[UIAlertView alloc]
     initWithTitle: @"Attention..."
     message:
       NSLocalizedString
        (@"str_really_erase_highscores",
         @"Really erase the recorded highscores?")
     delegate: self
     cancelButtonTitle: NSLocalizedString (@"str_no_no", @"No, no!")
     otherButtonTitles: NSLocalizedString (@"str_yes_do_it", @"Yes, do it!"),
     nil] ;
  [alert show] ;
  [alert release] ;
}


- (void) init_highscore_labels
{
  NSString *str =
  [[NSString alloc]
   initWithFormat: @"%d", global_hall_of_fame.entries[0].score] ;
  score0_label.text = str ;
  [str release] ;
  str =
  [[NSString alloc]
   initWithFormat: @"%d", global_hall_of_fame.entries[1].score] ;
  score1_label.text = str ;
  [str release] ;
  str =
  [[NSString alloc]
   initWithFormat: @"%d", global_hall_of_fame.entries[2].score] ;
  score2_label.text = str ;
  [str release] ;
  str =
  [[NSString alloc]
   initWithFormat: @"%d", global_hall_of_fame.entries[3].score] ;
  score3_label.text = str ;
  [str release] ;
  str =
  [[NSString alloc]
   initWithFormat: @"%d", global_hall_of_fame.entries[4].score] ;
  score4_label.text = str ;
  [str release] ;
  str =
  [[NSString alloc]
   initWithFormat: @"%d", global_hall_of_fame.entries[5].score] ;
  score5_label.text = str ;
  [str release] ;
  str =
  [[NSString alloc]
   initWithFormat: @"%d", global_hall_of_fame.entries[6].score] ;
  score6_label.text = str ;
  [str release] ;
  str =
  [[NSString alloc]
   initWithFormat: @"%d", global_hall_of_fame.entries[7].score] ;
  score7_label.text = str ;
  [str release] ;
  str =
  [[NSString alloc]
   initWithFormat: @"%d", global_hall_of_fame.entries[8].score] ;
  score8_label.text = str ;
  [str release] ;
  str =
  [[NSString alloc]
   initWithFormat: @"%d", global_hall_of_fame.entries[9].score] ;
  score9_label.text = str ;
  [str release] ;  
}



- (void) alertView: (UIAlertView*) actionSheet
         clickedButtonAtIndex: (NSInteger) buttonIndex
{
  if (buttonIndex == 1) {
    int i ;
    for (i = 0; i < NB_FAME_ENTRIES; i++)
      global_hall_of_fame.entries[i].score = 0 ;
    [self init_highscore_labels] ;
  }
}



- (void) didMoveToSuperview
{
  [self init_highscore_labels] ;
}

@end
